newpage
\subsection{Service 22: Position-Based Scheduling}

\begin{description}
	\item[Objective]\hfill\\
	
	TCs get scheduled through this service. The scheduling is based on the functionality to release TCs when the spacecraft reaches the associated position within the orbit.\\
	All scheduled activities, consisting of their release position and the TC, are pre-planned in a schedule. It is possible to globally enable and disable this schedule. A TC will only get released if the scheduled activity is enabled.\\
	
	This service provides two possibilities to identify requests in the schedule. Firstly the identification by a request identifier and secondly the identification by a filter which uses a 8 bit identification type field. \textbf{Only the last two bits of this field are used to identify the type. The first six bits are used as a filler. Their values are only zeros.}\\
	Any other values than the defined ones will lead to a 'Invalid Field Value' which causes the generation of a TM(1,4).\\
	
	\item[Service Summary]\hfill\\
	
	\begin{table}[h]
		\centering
		\begin{tabular}{p{0.1\textwidth}p{0.2\textwidth}p{0.6\textwidth}}
			\toprule
			\textbf{TM/TC} & \textbf{Service-Type, Service Subtype} & \textbf{Description}\\
			\midrule
			\rowcolor{TcHeader!20}TC & 22,1 & Enable the position-based schedule execution function\\
			\rowcolor{TcHeader!20}TC & 22,2 & Disable the position-based schedule execution function\\
			\rowcolor{TcHeader!20}TC & 22,3 & Reset the position-based schedule\\
			\rowcolor{TcHeader!20}TC & 22,4 & Insert activities into the position-based schedule\\
			\rowcolor{TcHeader!20}TC & 22,5 & Delete position-based scheduled activities identified by request identifier\\
			\rowcolor{TcHeader!20}TC & 22,6 & Delete the position-based scheduled activities identified by a filter\\
			\rowcolor{TcHeader!20}TC & 22,7 & Position-shift scheduled activities identified by request identifier\\
			\rowcolor{TcHeader!20}TC & 22,8 & Position-shift the scheduled activities identified by a filter\\
			\rowcolor{TcHeader!20}TC & 22,9 & Detail-report position-based scheduled activities identified by request identifier\\
			\rowcolor{TmHeader!20}TM & 22,10 & Position-based schedule detail report\\
			\rowcolor{TcHeader!20}TC & 22,11 & Detail-report the position-based scheduled activities identified by a filter\\
			\rowcolor{TcHeader!20}TC & 22,12 & Summary-report position-based scheduled activities identified by request identifier\\
			\rowcolor{TmHeader!20}TM & 22,13 & Position-based schedule summary report\\
			\rowcolor{TcHeader!20}TC & 22,14 & Summary-report the position-based scheduled activities identified by a filter\\
			\rowcolor{TcHeader!20}TC & 22,15 & Position-shift all scheduled activities\\
			\rowcolor{TcHeader!20}TC & 22,16 & Detail-report all position-based scheduled activities\\
			\rowcolor{TcHeader!20}TC & 22,17 & Summary-report all position-based scheduled activities\\
			\rowcolor{TcHeader!20}TC & 22,28 & Set the orbit number\\
			\bottomrule
		\end{tabular}
		\caption{Service 22 Summary}
	\end{table}
	
\end{description}


% ------------------------------------------------------------------------------
% TC 22,1
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{22,1} & \textbf{Enable the position-based schedule execution function}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request globally enables the scheduling. The position-based scheduled TCs can only get released if the scheduling is globally enabled.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 22 \\
		
		Service Subtype & 1 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 22,2
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{22,2} & \textbf{Disable the position-based schedule execution function}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request disables the scheduling globally. The release of position-based scheduled TCs is no longer possible.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 22 \\
		
		Service Subtype & 2 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 22,3
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{22,3} & \textbf{Reset the position-based schedule}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request clears the complete position-based scheduling plan by deleting all scheduled activities.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 22 \\
		
		Service Subtype & 3 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 22,4
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{22,4} & \textbf{Insert activities into the position-based schedule}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request inserts a variable number of TCs into the position-based schedule. 
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 22 \\
		
		Service Subtype & 4 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.18\textwidth}|p{0.18\textwidth}|p{0.18\textwidth}|p{0.18\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			& \multicolumn{2}{c|}{\cellcolor{TcHeader}Position Tag} &\\
			\hhline{|>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}|--|>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}|}
			\rowcolor{TcHeader}
			\multirow{-2}{*}{N} & No. & Pos. & \multirow{-2}{*}{Request}\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Unsigned Integer & Real & TC packet\\
			\hline
			\rowcolor{TcBody}
			8 Bit & 16 Bit & 64 Bit & $n\cdot8$ Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{3}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Application Data TC(22,4)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of following requests to insert into the schedule. The maximum value is 8.\\
		& \\
		\textbf{Position Tag}\newline \begin{tabular}{p{1.2cm}p{1.2cm}p{1cm}} No.:& PTC=3& PFC=12\\ Pos.:& PTC=5& PFC=2\end{tabular} & The orbit position of planned release. It contains the orbit number and the position within this orbit.\\
		& \\
		\textbf{Request}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=12 &PFC=1 \end{tabular} & The request which should be released at the \textit{Position Tag}. The size of this field is $n\cdot8\  Bit$. The maximum size of the complete request (including header and checksum) is 232 Byte.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If the position tag is earlier than the position obtained by adding the current position and the position margin the application data field becomes invalid.\\
	\newline
	If the request contained in the instruction fails any of the verification checks (Service 1) the application data field becomes invalid.\\
	\newline
	This request limits the maximum length of the application data of a TC to 219 byte.
	
	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 22,5
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{22,5} & \textbf{Delete position-based scheduled activities\newline identified by request identifier}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request deletes all addressed TCs from the position-based schedule.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 22 \\
		
		Service Subtype & 5 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|}
			\hline
			\cellcolor{TcHeader} & \multicolumn{3}{c|}{\cellcolor{TcHeader} Request ID}\\
			\hhline{|>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}|---|}
			\rowcolor{TcHeader}
			\multirow{-2}{*}{N} & Source ID & APID & Sequence Count\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned\newline Integer & Enum & Enum & Unsigned\newline Integer \\
			\hline
			\rowcolor{TcBody}
			8 Bit & 7 Bit & 11 Bit & 14 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{3}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Application Data TC(22,5)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of following requests to delete from the schedule. The maximum value is 54.\\
		& \\
		\textbf{Request ID}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} Source: &PTC=2 &PFC=7 \\ APID: &PTC=2 &PFC=11 \\ Count:& PTC=3 &PFC=10 \end{tabular} & The identifier of a request to delete. The ID contains the Source ID, the APID and the \textit{Sequence Count} of the request.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 22,6
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{22,6} & \textbf{Delete position-based scheduled activities\newline identified by filter}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request deletes all addressed TCs from the position-based schedule.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 22 \\
		
		Service Subtype & 6 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|}
			\hline
			\multicolumn{5}{|c|}{\cellcolor{TcHeader} Position Window}\\
			\hline
			\cellcolor{TcHeader} & \multicolumn{2}{c|}{\cellcolor{TcHeader} Tag 1} & \multicolumn{2}{c|}{\cellcolor{TcHeader} Tag 2}\\
			
			\hhline{|>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}|----|}
			\rowcolor{TcHeader}
			\multirow{-2}{*}{\cellcolor{TcHeader} Type}& No. & Pos. & No. & Pos.\\
			\hline
			\hline
			\rowcolor{TcBody}
			Enum & Unsigned\newline Integer & Real & Unsigned\newline Integer & Real\\
			\hline
			\rowcolor{TcBody}
			8 Bit & 16 Bit & 64 Bit & 16 Bit & 64 Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Application Data TC(22,6)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Type}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The type can have following values:\newline00 - "all"\newline11 - "between 2 position tags"\newline01 - "from position tag"\newline10 - "to position tag".\\
		& \\
		\textbf{Tag 1}\newline\begin{tabular}{p{1cm}p{1.2cm}p{1cm}} No.:& PTC=3& PFC=12\\ Pos.:& PTC=5& PFC=2\end{tabular} & The first position tag. This is the one from which the selection starts. It contains the orbit number and the position within this orbit.\\
		& \\
		\textbf{Tag 2}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} No.:& PTC=3& PFC=12\\ Pos.:& PTC=5& PFC=2\end{tabular} & The second position tag. This is the one at which the selection stops. It contains the orbit number and the position within this orbit.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If the first position tag is greater than the second position tag the application data field becomes invalid.	
	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 22,7
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{22,7} & \textbf{Position-shift scheduled activities identified by\newline request identifier}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request shifts all addressed TCs in the position-based schedule by a specialised delta position.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 22 \\
		
		Service Subtype & 7 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|}
			\hline
			\multicolumn{2}{|c|}{\cellcolor{TcHeader} Delta Position} & \cellcolor{TcHeader} & \multicolumn{3}{c|}{\cellcolor{TcHeader} Request ID}\\
			\hhline{|--|>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}|---|}
			\rowcolor{TcHeader}
			No. & Pos. & \multirow{-2}{*}{N} & Source ID & APID & Sequence Count\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned\newline Integer & Real & Unsigned\newline Integer & Enum & Enum & Unsigned\newline Integer \\
			\hline
			\rowcolor{TcBody}
			16 Bit & 64 Bit & 8 Bit &7 Bit &11 Bit &14 Bit \\
			\hline
			\multicolumn{3}{c}{} & \multicolumn{3}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Application Data TC(22,7)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Delta Position}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} No.:& PTC=3& PFC=12\\ Pos.:& PTC=5& PFC=2\end{tabular} & The TC gets relocated by this position.\\
		& \\
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of following requests to relocate. The maximum value is 52.\\
		& \\
		\textbf{Request ID}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} Source: &PTC=2 &PFC=7 \\ APID: &PTC=2 &PFC=11 \\ Count:& PTC=3 &PFC=10 \end{tabular}  & The identifier of a request to relocate. The ID contains the Source ID, the APID and the \textit{Sequence Count} of the request.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If the position obtained by adding the release position of earliest addressed scheduled activity and the delta position is earlier than the position obtained by adding the current position and the position margin the application data field becomes invalid.	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 22,8
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{22,8} & \textbf{Position-shift scheduled activities identified by\newline filter}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request shifts all addressed TCs in the position-based schedule by a specialised delta position.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 22 \\
		
		Service Subtype & 8 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		
		\begin{tabular}{|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|}
			\hline
			\multicolumn{2}{|c|}{\cellcolor{TcHeader}} & \multicolumn{5}{c|}{\cellcolor{TcHeader} Position Window}\\
			\hhline{|>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}|-----|}
			\rowcolor{TcHeader}
			\multicolumn{2}{|c|}{\multirow{-2}{*}{\parbox{0.1\textwidth}{\cellcolor{TcHeader} Delta\newline Position}}} & \cellcolor{TcHeader} & \multicolumn{2}{c|}{\cellcolor{TcHeader}Tag 1} & \multicolumn{2}{c|}{\cellcolor{TcHeader}Tag 2}\\
			\hhline{|--|>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}|----|}
			\rowcolor{TcHeader}
			No. & Pos. & \multirow{-2}{*}{\cellcolor{TcHeader} Type} & No. & Pos. & No. & Pos.\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned\newline Integer & Real & Enum & Unsigned\newline Integer & Real & Unsigned\newline Integer & Real \\
			\hline
			\rowcolor{TcBody}
			16 Bit & 64 Bit & 8 Bit & 16 Bit & 64 Bit & 16 Bit & 64 Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Application Data TC(22,8)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Delta Position}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} No.:& PTC=3& PFC=12\\ Pos.:& PTC=5& PFC=2\end{tabular} & The TC gets relocated by this position.\\
		& \\
		\textbf{Type}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The type can have following values:\newline00 - "all"\newline11 - "between 2 position tags"\newline01 - "from position tag"\newline10 - "to position tag".\\
		& \\
		\textbf{Tag 1}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} No.:& PTC=3& PFC=12\\ Pos.:& PTC=5& PFC=2\end{tabular} & The first position tag. This is the one from which the selection starts. It contains the orbit number and the position within this orbit.\\
		& \\
		\textbf{Tag 2}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} No.:& PTC=3& PFC=12\\ Pos.:& PTC=5& PFC=2\end{tabular} & The second position tag. This is the one at which the selection stops. It contains the orbit number and the position within this orbit.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\newpage
	\item[Remarks:]\hfill\\
	\newline
	If the position obtained by adding the release position of earliest addressed scheduled activity and the delta position is earlier than the position obtained by adding the current position and the position margin the application data field becomes invalid.\\
	\newline
	If the first position tag is greater than the second position tag the application data field becomes invalid.	
	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 22,9
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{22,9} & \textbf{Detail-report position-based scheduled activities identified by request identifier}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC requests a detailed report for all addressed TCs in the position-based schedule. The answer for this request is TM(22,10).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 22 \\
		
		Service Subtype & 9 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|}
			\hline
			\cellcolor{TcHeader} & \multicolumn{3}{c|}{\cellcolor{TcHeader} Request ID}\\
			\hhline{|>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}|---|}
			\rowcolor{TcHeader}
			\multirow{-2}{*}{N} & Source ID & APID & Sequence Count\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned\newline Integer & Enum & Enum & Unsigned\newline Integer \\
			\hline
			\rowcolor{TcBody}
			8 Bit&7 Bit & 11 Bit& 14 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{3}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Application Data TC(22,9)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of following requests to report about. The maximum value is 54.\\
		& \\
		\textbf{Request ID}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} Source: &PTC=2 &PFC=7 \\ APID: &PTC=2 &PFC=11 \\ Count:& PTC=3 &PFC=10 \end{tabular}  & The identifier of a request to report about. The ID contains the Source ID, the APID and the \textit{Sequence Count} of the request.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 22,10
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{22,10} & \textbf{Position-based schedule detail report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM reports the complete data of the requested position-based scheduled activities, i.e. the complete pre-planned TCs get reported. The generation of this TM is initiated by receiving TC(22,9), TC(22,11) or TC(11,16).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 22 \\
		
		Service Subtype & 10 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.18\textwidth}|p{0.18\textwidth}|p{0.18\textwidth}|p{0.18\textwidth}|}
			\hline
			\rowcolor{TmHeader!85}
			& \multicolumn{2}{c|}{\cellcolor{TmHeader!85} Position Tag} & \\
			\hhline{|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|--|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|}
			\rowcolor{TmHeader!85}
			\multirow{-2}{*}{\cellcolor{TmHeader!85} N} & No. & Pos. & \multirow{-2}{*}{\cellcolor{TmHeader!85} Request}\\
			\hline
			\hline
			\rowcolor{TmBody}
			Unsigned\newline Integer & Unsigned\newline Integer & Real & TC Packet \\
			\hline
			\rowcolor{TmBody}
			8 Bit & 16 Bit & 64 Bit & $n\cdot8$ Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{3}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Source Data TM(22,10)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of reported scheduled TCs. The maximum value is 8.\\
		& \\
		\textbf{Position Tag}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} No.:& PTC=3& PFC=12\\ Pos.:& PTC=5& PFC=2\end{tabular} & The position of planned release. It contains the orbit number and the position within this orbit.\\
		& \\
		\textbf{Request}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=12 &PFC=1 \end{tabular} & The complete request including all its data. The size of this field is  $n\cdot8\  Bit$. The maximum size of the complete request (including header and checksum) is 232 Byte.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 22,11
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{22,11} & \textbf{Detail-report position-based scheduled activities identified by filter}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC requests a detailed report for all addressed TCs in the position-based schedule. The answer for this request is TM(22,10).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 22 \\
		
		Service Subtype & 11 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|}
			\hline
			\multicolumn{5}{|c|}{\cellcolor{TcHeader} Position Window}\\
			\hline
			\cellcolor{TcHeader} & \multicolumn{2}{c|}{\cellcolor{TcHeader} Tag 1} & \multicolumn{2}{c|}{\cellcolor{TcHeader} Tag 2}\\
			
			\hhline{|>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}|----|}
			\rowcolor{TcHeader}
			\multirow{-2}{*}{\cellcolor{TcHeader} Type}& No. & Pos. & No. & Pos.\\
			\hline
			\hline
			\rowcolor{TcBody}
			Enum & Unsigned\newline Integer & Real & Unsigned\newline Integer & Real\\
			\hline
			\rowcolor{TcBody}
			8 Bit & 16 Bit & 64 Bit & 16 Bit & 64 Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Application Data TC(22,11)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Type}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The type can have following values:\newline00 - "all"\newline11 - "between 2 position tags"\newline01 - "from position tag"\newline10 - "to position tag".\\
		& \\
		\textbf{Tag 1}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} No.:& PTC=3& PFC=12\\ Pos.:& PTC=5& PFC=2\end{tabular} & The first position tag. This is the one from which the selection starts. It contains the orbit number and the position within this orbit.\\
		& \\
		\textbf{Tag 2}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} No.:& PTC=3& PFC=12\\ Pos.:& PTC=5& PFC=2\end{tabular} & The second position tag. This is the one at which the selection stops. It contains the orbit number and the position within this orbit.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If the first position tag is greater than the second position tag the application data field becomes invalid.		
	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 22,12
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{22,12} & \textbf{Summary-report position-based scheduled\newline activities identified by request identifier}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC requests a summary report for all addressed TCs in the position-based schedule. The answer for this request is TM(22,13).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 22 \\
		
		Service Subtype & 12 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|}
			\hline
			\cellcolor{TcHeader} & \multicolumn{3}{c|}{\cellcolor{TcHeader} Request ID}\\
			\hhline{|>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}|---|}
			\rowcolor{TcHeader}
			\multirow{-2}{*}{N} & Source ID & APID & Sequence Count\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned\newline Integer & Enum & Enum & Unsigned\newline Integer \\
			\hline
			\rowcolor{TcBody}
			8 Bit& 7 Bit& 11 Bit & 14 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{3}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Application Data TC(22,12)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of following requests to report about. The maximum value is 54.\\
		& \\
		\textbf{Request ID}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} Source: &PTC=2 &PFC=7 \\ APID: &PTC=2 &PFC=11 \\ Count:& PTC=3 &PFC=10 \end{tabular}  & The identifier of a request to report about. The ID contains the Source ID, the APID and the \textit{Sequence Count} of the request.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 22,13
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{22,13} & \textbf{Position-based schedule summary report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM reports summary data of the requested position-based scheduled activities. The generation of this TM is initiated by receiving TC(22,12), TC(22,14) or TC(22,17).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 22 \\
		
		Service Subtype & 13 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		
		\begin{tabular}{|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|}
			\hline
			\cellcolor{TmHeader!85} & \multicolumn{2}{c|}{\cellcolor{TmHeader!85} Position Tag} & \multicolumn{3}{c|}{\cellcolor{TmHeader!85} Request ID}\\
			\hhline{|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|-----|}
			\rowcolor{TmHeader!85}
			\multirow{-2}{*}{N} & No. & Pos. & Source ID & APID & Sequence Count\\
			\hline
			\hline
			\rowcolor{TmBody}
			Unsigned\newline Integer & Unsigned\newline Integer & Real & Enum & Enum & Unsigned\newline Integer \\
			\hline
			\rowcolor{TmBody}
			8 Bit& 16 Bit & 64 Bit & 7 Bit& 11 Bit& 14 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{5}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Source Data TM(22,13)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of requests whose data is reported. The maximum value is 15.\\
		& \\
		\textbf{Position Tag}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} No.:& PTC=3& PFC=12\\ Pos.:& PTC=5& PFC=2\end{tabular} & The position of planned release. It contains the orbit number and the position within this orbit.\\
		& \\
		\textbf{Request ID}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} Source: &PTC=2 &PFC=7 \\ APID: &PTC=2 &PFC=11 \\ Count:& PTC=3 &PFC=10 \end{tabular} & The identifier of a request to report about. The ID contains the Source ID, the APID and the \textit{Sequence Count} of the request.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 22,14
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{22,14} & \textbf{Summary-report position-based scheduled\newline activities identified by filter}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC requests a summary report for all addressed TCs in the position-based schedule. The answer for this request is TM(22,13).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 22 \\
		
		Service Subtype & 14 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item Application Data
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|}
			\hline
			\multicolumn{5}{|c|}{\cellcolor{TcHeader} Position Window}\\
			\hline
			\cellcolor{TcHeader} & \multicolumn{2}{c|}{\cellcolor{TcHeader} Tag 1} & \multicolumn{2}{c|}{\cellcolor{TcHeader} Tag 2}\\
			
			\hhline{|>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}|----|}
			\rowcolor{TcHeader}
			\multirow{-2}{*}{\cellcolor{TcHeader} Type}& No. & Pos. & No. & Pos.\\
			\hline
			\hline
			\rowcolor{TcBody}
			Enum & Unsigned\newline Integer & Real & Unsigned\newline Integer & Real\\
			\hline
			\rowcolor{TcBody}
			8 Bit & 16 Bit & 64 Bit & 16 Bit & 64 Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Application Data TC(22,14)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Type}\newline\begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular}& The type can have following values:\newline00 - "all"\newline11 - "between 2 position tags"\newline01 - "from position tag"\newline10 - "to position tag".\\
		& \\
		\textbf{Tag 1}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} No.:& PTC=3& PFC=12\\ Pos.:& PTC=5& PFC=2\end{tabular} & The first position tag. This is the one from which the selection starts. It contains the orbit number and the position within this orbit.\\
		& \\
		\textbf{Tag 2}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} No.:& PTC=3& PFC=12\\ Pos.:& PTC=5& PFC=2\end{tabular} & The second position tag. This is the one at which the selection stops. It contains the orbit number and the position within this orbit.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If the first position tag is greater than the second position tag the application data field becomes invalid.		
	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 22,15
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{22,15} & \textbf{Position-shift all scheduled activities}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC shifts all position-based scheduled activities for the specialised delta position.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 22 \\
		
		Service Subtype & 15 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.2\textwidth}|p{0.2\textwidth}|}
			\hline
			\multicolumn{2}{|c|}{\cellcolor{TcHeader}Delta Position}\\
			\hline
			\rowcolor{TcHeader}
			No. & Pos.\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Real\\
			\hline
			\rowcolor{TcBody}
			16 Bit & 64 Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Application Data TC(22,15)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Delta Position}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} No.:& PTC=3& PFC=12\\ Pos.:& PTC=5& PFC=2\end{tabular} & The TCs get shifted by this position. It contains the orbit number and the position within this orbit.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If the position obtained by adding the release position of earliest scheduled activity and the delta position is earlier than the position obtained by adding the current position and the position margin the application data field becomes invalid.	
	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 22,16
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{22,16} & \textbf{Detail-report all position-based scheduled\newline activities}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC requests a detailed report of all position-based scheduled activities. The answer for this request is TM(22,10). If more than 8 activities are scheduled, more than one report will be generated as answer.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 22 \\
		
		Service Subtype & 16 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 22,17
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{22,17} & \textbf{Summary-report all position-based scheduled\newline activities}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC requests a summary report of all position-based scheduled activities. The answer for this request is TM(22,13). If more than 15 activities are scheduled, more than one report will be generated as answer.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 22 \\
		
		Service Subtype & 17 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TM does not include any parameters.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 22,28
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{22,28} & \textbf{Set the orbit number}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC sets the current orbit number to a specific value.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 22 \\
		
		Service Subtype & 28 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|c|}
			\hline
			\rowcolor{TcHeader}
			Orbit Number\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer\\
			\hline
			\rowcolor{TcBody}
			16 Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Application Data TC(22,28)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Orbit Number}\newline\begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=12 \end{tabular} & The specified orbit number to set.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill
